Bug 677718 (CVE-2011-0432) - CVE-2011-0432 pywebdav: SQL injection due improper escaping of user credentials
Summary: CVE-2011-0432 pywebdav: SQL injection due improper escaping of user credentials
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2011-0432
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20110218,repor...
Depends On: 679338 679339 679340
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-15 16:50 UTC by Jan Lieskovsky
Modified: 2019-06-10 10:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:57:42 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-02-15 16:50:17 UTC
A security flaw was found in the way MySQL authentication
handler / module of Python WebDAV server performed user
authentication. A remote attacker could use this flaw
to conduct SQL injection attacks via specially-crafted
user credentials.

Acknowledgements:

Red Hat would like to thank Nico Golde of Debian Security Team
for reporting this issue. Debian Security Team acknowledges
'Teeed' as the original issue reporter.

Comment 1 Jan Lieskovsky 2011-02-15 16:52:35 UTC
This issue affects the versions of the pywebdav package, as shipped
with Fedora release of 13 and 14.

--

This issue affects the versions of the pywebdav package, as present
within EPEL-5 and EPEL-6 repositories.

Please schedule an update.

Comment 2 Huzaifa S. Sidhpurwala 2011-02-22 09:51:03 UTC
Public via:
http://code.google.com/p/pywebdav/

Comment 3 Huzaifa S. Sidhpurwala 2011-02-22 10:17:02 UTC
Created pywebdav tracking bugs for this issue

Affects: fedora-all [bug 679338]
Affects: epel-5 [bug 679339]
Affects: epel-6 [bug 679340]

Comment 4 Vincent Danen 2011-03-15 17:06:20 UTC
This was corrected via the following EPEL6 and Fedora builds:

pywebdav-0.9.4.1-1.el6 (FEDORA-EPEL-2011-0545)
pywebdav-0.9.4.1-1.fc13 (FEDORA-2011-2470)
pywebdav-0.9.4.1-1.fc14 (FEDORA-2011-2460)
pywebdav-0.9.4.1-1.fc15 (FEDORA-2011-2427)
pywebdav-0.9.4.1-1.fc16

EPEL 5 still requires this fix, however.

Comment 5 Product Security DevOps Team 2019-06-10 10:57:42 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.